Open Lighting Architecture: ola::rdm::StatusMessagePrinter Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
ola::rdm::StatusMessagePrinter Class Reference

## Detailed Description

Print a status message.

Inheritance diagram for ola::rdm::StatusMessagePrinter:

## Public Member Functions
void | Visit (const ola::messaging::UInt8MessageField *field)
void | Visit (const ola::messaging::Int16MessageField *field)
void | Visit (const ola::messaging::UInt16MessageField *field)
void | Visit (const ola::messaging::GroupMessageField *)
Public Member Functions inherited from ola::messaging::MessagePrinter
std::string | AsString (const class Message *message)
virtual void | Visit (const BoolMessageField *)
virtual void | Visit (const IPV4MessageField *)
virtual void | Visit (const MACMessageField *)
virtual void | Visit (const UIDMessageField *)
virtual void | Visit (const StringMessageField *)
virtual void | Visit (const BasicMessageField< uint32_t > *)
virtual void | Visit (const BasicMessageField< int8_t > *)
virtual void | Visit (const BasicMessageField< int32_t > *)
virtual void | PostVisit (const GroupMessageField *)

## Protected Member Functions
void | PostStringHook ()
Protected Member Functions inherited from ola::messaging::MessagePrinter
std::ostringstream & | Stream ()
virtual std::string | TransformLabel (const std::string &label)

## Member Function Documentation

## ◆ PostStringHook()

void ola::rdm::StatusMessagePrinter::PostStringHook | ( |  | ) |
| inlineprotectedvirtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [1/4]

void ola::rdm::StatusMessagePrinter::Visit | ( | const ola::messaging::GroupMessageField * |  | ) |
| inlinevirtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [2/4]

void ola::rdm::StatusMessagePrinter::Visit | ( | const ola::messaging::Int16MessageField * | field | ) |
| inlinevirtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [3/4]

void ola::rdm::StatusMessagePrinter::Visit | ( | const ola::messaging::UInt16MessageField * | field | ) |
| inlinevirtual

Reimplemented from ola::messaging::MessagePrinter.

## ◆ Visit() [4/4]

void ola::rdm::StatusMessagePrinter::Visit | ( | const ola::messaging::UInt8MessageField * | field | ) |
| inlinevirtual

Reimplemented from ola::messaging::MessagePrinter.

The documentation for this class was generated from the following file:

- include/ola/rdm/RDMMessagePrinters.h